Is your web browser up to date? 

At Fremont Bank, we care about the privacy of your personal data. That's why, beginning in July 2017, we will stop supporting older web browsers that don't meet our industry encryption standards. 
 
The following browsers are supported:

Microsoft Internet Explorer 11 and higher
Mozilla Firefox version 27 and higher
Google Chrome 38 and higher
Apple Safari 7.0 and higher



Attention Business Online Banking Users: you may need to review your company's security policies, which may require you to contact your Information Technology/LAN/3rd party or browser vendor for assistance. 
 


Adobe Acrobat Reader® version 6.0 is required to view documents (version 10.0 or higher is recommended for best performance). If a document is unable to be viewed due to an incorrect version of Adobe Acrobat, a newer version of Adobe Acrobat Reader can be acquired at www.adobe.com/Acrobat.
 

®Adobe Acrobat is a registered trademark of Adobe Systems Incorporated.